Index: trunk/src/lib/collision_detection/bounding_volume.h
===================================================================
--- trunk/src/lib/collision_detection/bounding_volume.h	(revision 6012)
+++ trunk/src/lib/collision_detection/bounding_volume.h	(revision 6022)
@@ -9,5 +9,5 @@
 
 #include "base_object.h"
-#include "abstract_model.h"
+#include "model.h"
 
 class Vector;
Index: trunk/src/lib/collision_detection/bv_tree.h
===================================================================
--- trunk/src/lib/collision_detection/bv_tree.h	(revision 6012)
+++ trunk/src/lib/collision_detection/bv_tree.h	(revision 6022)
@@ -10,5 +10,5 @@
 
 #include "base_object.h"
-#include "abstract_model.h"
+#include "model.h"
 
 // FORWARD DECLARATION
Index: trunk/src/lib/collision_detection/bv_tree_node.h
===================================================================
--- trunk/src/lib/collision_detection/bv_tree_node.h	(revision 6012)
+++ trunk/src/lib/collision_detection/bv_tree_node.h	(revision 6022)
@@ -9,5 +9,5 @@
 
 #include "base_object.h"
-#include "abstract_model.h"
+#include "model.h"
 #include "vector.h"
 
Index: trunk/src/lib/collision_detection/cd_engine.cc
===================================================================
--- trunk/src/lib/collision_detection/cd_engine.cc	(revision 6012)
+++ trunk/src/lib/collision_detection/cd_engine.cc	(revision 6022)
@@ -21,5 +21,5 @@
 #include "list.h"
 
-#include "abstract_model.h"
+#include "model.h"
 #include "world_entity.h"
 #include "terrain.h"
Index: trunk/src/lib/collision_detection/cd_engine.h
===================================================================
--- trunk/src/lib/collision_detection/cd_engine.h	(revision 6012)
+++ trunk/src/lib/collision_detection/cd_engine.h	(revision 6022)
@@ -10,5 +10,5 @@
 #include "base_object.h"
 #include "collision_defs.h"
-#include "abstract_model.h"
+#include "model.h"
 
 
Index: trunk/src/lib/collision_detection/obb_tree.h
===================================================================
--- trunk/src/lib/collision_detection/obb_tree.h	(revision 6012)
+++ trunk/src/lib/collision_detection/obb_tree.h	(revision 6022)
@@ -9,5 +9,5 @@
 
 #include "bv_tree.h"
-#include "abstract_model.h"
+#include "model.h"
 #include "material.h"
 
Index: trunk/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 6012)
+++ trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 6022)
@@ -21,5 +21,5 @@
 #include "obb_tree.h"
 #include "matrix.h"
-#include "abstract_model.h"
+#include "model.h"
 #include "world_entity.h"
 
Index: trunk/src/lib/graphics/importer/Makefile.am
===================================================================
--- trunk/src/lib/graphics/importer/Makefile.am	(revision 6012)
+++ trunk/src/lib/graphics/importer/Makefile.am	(revision 6022)
@@ -4,7 +4,7 @@
 noinst_LIBRARIES = libORXimporter.a
 
-libORXimporter_a_SOURCES = abstract_model.cc \
+libORXimporter_a_SOURCES = model.cc \
                            vertex_array_model.cc \
-                           model.cc \
+                           static_model.cc \
                            objModel.cc \
                            primitive_model.cc \
@@ -16,7 +16,7 @@
 
 
-noinst_HEADERS = abstract_model.h \
+noinst_HEADERS = model.h \
                  vertex_array_model.h \
-                 model.h \
+                 static_model.h \
                  objModel.h \
                  primitive_model.h \
Index: trunk/src/lib/graphics/importer/md2Model.cc
===================================================================
--- trunk/src/lib/graphics/importer/md2Model.cc	(revision 6012)
+++ trunk/src/lib/graphics/importer/md2Model.cc	(revision 6022)
@@ -160,6 +160,8 @@
 
 /**
-  \brief draws the model: interface for all other classes out in the world
-*/
+ * @brief draws the model: interface for all other classes out in the world
+ * @todo make it const and virtual
+ * FIXME
+ */
 void MD2Model::draw()
 {
Index: trunk/src/lib/graphics/importer/md2Model.h
===================================================================
--- trunk/src/lib/graphics/importer/md2Model.h	(revision 6012)
+++ trunk/src/lib/graphics/importer/md2Model.h	(revision 6022)
@@ -19,5 +19,5 @@
 #define _MD2MODEL_H
 
-#include "abstract_model.h"
+#include "model.h"
 #include "base_object.h"
 #include "stdincl.h"
@@ -137,5 +137,5 @@
 
 //! This is a MD2 Model class
-class MD2Model : public AbstractModel {
+class MD2Model : public Model {
 
 public:
